package com.jxml.quick.util.qjmlExpand;
import com.jxml.quick.model.qjml.*;
import com.jxml.quick.*;
import org.xml.sax.*;
import java.util.*;
import com.jxml.quick.ocm.*;
import java.io.*;

/**
 * Extracts QJML data.
 */
public class QCAbstract extends OCMpeerSupport
{
	/**
	 * User-provided code to perform the conversion.
	 */
	public void cvt(Object param)
		throws SAXException, IOException
	{
		QMAbstract dm=(QMAbstract)dataModel;
		Counter.SubCounter subCounter=(Counter.SubCounter)context;

		subCounter.addIDAttribute(this);
		addStringAttribute("label",dm.label);
		addBooleanAttribute("generate",dm.generate);
		addBooleanAttribute("validInherited",false);

		startElement("abstract");

		doCvt(dm.remList,null);
		doCvt(dm.extendor,null);
		doCvt(dm.implementsList,null);
		doCvt(dm.targetClass,null);
		doCvt(dm.attributes,dm);
		doCvt(dm.fieldList,dm);
		doCvt(dm.propertyList,dm);
		doCvt(dm.getValidList(),null);

		endElement("abstract");
	}
}
